package bookranking;

import java.util.List;

import org.springframework.integration.core.Message;

/**
 * メッセージの内容を出力するためのクラス。
 */
public class BookItemPrinter {
    /**
     * メッセージの内容を出力します。
     * @param message BookItemリストメッセージ
     */
    public void handleMessage(Message<List<BookItem>> message) {
        // 標準出力に結果を出力する
        System.out.println(message.getPayload());
    }
}
